%define real_name Digest-HMAC
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	The Perl Keyed-Hashing for Message Authentication
Name:		perl-digest-hmac
Version:	1.01
Release: 	20tr
URL:		http://www.cpan.org
Source:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-HMAC-1.01.tar.gz
License:	GPL
Group:		Trustix Official
Requires:	perl >= %{perl_version}
Provides:	perl(Digest::HMAC)
BuildRequires: perl-devel >= 5.8.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
Keyed-Hashing for Message Authentication 


%prep -q
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{siteperl}/%{_arch}-linux-thread-multi/auto/Digest
%{siteperl}/Digest
/usr/share/man/man3/*

%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.01-20tr
- Rebuilt on perl-5.8.7	
		
* Fri Mar  18 2005 Hasher Jamaludeen <hasher at comodo dot com>
- Rebuilt

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Wed Jan 28 2004 Erlend Midttun <erlendbm at trustix dot org> 1.01-1em
- Initial release.


